[jbpm-commits] JBoss JBPM SVN: r3805 - jbpm4/trunk/hudson.

do-not-reply at jboss.org do-not-reply at jboss.org
Mon Feb 9 06:15:35 EST 2009


Author: heiko.braun at jboss.com
Date: 2009-02-09 06:15:34 -0500 (Mon, 09 Feb 2009)
New Revision: 3805

Modified:
   jbpm4/trunk/hudson/jbpm4-base.sh
   jbpm4/trunk/hudson/jbpm4-db.sh
   jbpm4/trunk/hudson/jbpm4-load.sh
Log:
Don't overwrite profiles.xml, but throw execption upon missing file

Modified: jbpm4/trunk/hudson/jbpm4-base.sh
===================================================================
--- jbpm4/trunk/hudson/jbpm4-base.sh	2009-02-09 11:12:45 UTC (rev 3804)
+++ jbpm4/trunk/hudson/jbpm4-base.sh	2009-02-09 11:15:34 UTC (rev 3805)
@@ -12,7 +12,10 @@
 #
 # default environment settings
 #
-cp $JBPMDIR/profiles.xml.example $JBPMDIR/profiles.xml
+if [ ! -f $JBPMDIR/profiles.xml ]; then
+  echo "WARN: $JBPMDIR/profiles.xml is missing!"
+  exit 1
+fi
 
 #
 # build the tests

Modified: jbpm4/trunk/hudson/jbpm4-db.sh
===================================================================
--- jbpm4/trunk/hudson/jbpm4-db.sh	2009-02-09 11:12:45 UTC (rev 3804)
+++ jbpm4/trunk/hudson/jbpm4-db.sh	2009-02-09 11:15:34 UTC (rev 3805)
@@ -13,7 +13,10 @@
 #
 # default environment settings
 #
-cp $JBPMDIR/profiles.xml.example $JBPMDIR/profiles.xml
+if [ ! -f $JBPMDIR/profiles.xml ]; then
+  echo "WARN: $JBPMDIR/profiles.xml is missing!"
+  exit 1
+fi
 
 #
 # build the tests

Modified: jbpm4/trunk/hudson/jbpm4-load.sh
===================================================================
--- jbpm4/trunk/hudson/jbpm4-load.sh	2009-02-09 11:12:45 UTC (rev 3804)
+++ jbpm4/trunk/hudson/jbpm4-load.sh	2009-02-09 11:15:34 UTC (rev 3805)
@@ -12,9 +12,11 @@
 #
 # default environment settings
 #
-cp $JBPMDIR/profiles.xml.example $JBPMDIR/profiles.xml
+if [ ! -f $JBPMDIR/profiles.xml ]; then
+  echo "WARN: $JBPMDIR/profiles.xml is missing!"
+  exit 1
+fi
 
-
 #
 # build the tests
 #




More information about the jbpm-commits mailing list